args "--no-version --no-help"

purpose "Native ALSA output plugin."

include(header.m4)

<qu>
option "device" d
#~~~~~~~~~~~~~~~~
"set PCM device"
string typestr = "device"
default = "default"
optional
details = "
	Check for the presence of a /proc/asound/ directory to see if
	ALSA is present in your kernel. The file /proc/asound/devices
	contains all devices ALSA knows about.
"

option "buffer-time" B
#~~~~~~~~~~~~~~~~~~~~~
"duration of the ALSA buffer"
int typestr = "milliseconds"
default = "170"
optional
details = "
	This is only a hint as ALSA might pick a slightly different
	time, depending on the sound hardware. The chosen value is
	shown in debug output as BUFFER_TIME.

	If synchronization between multiple clients is desired,
	the same buffer time should be configured for all clients.
"

</qu>

